# -*- coding: utf-8 -*-

from .widget import Widget


class Menu(Widget):
    def __init__(self, items=[]):
        Widget.__init__(self)
        self.width = max([len(x) for x in items]) + 4
        self.height = len(items) + 2

        self.bg = 2
        self.items = items

        self.connect('draw', self.on_draw)
        self.connect('keypress', self.on_keypress)


    def on_draw(self, screen, x, y):
        screen.pushcolor(self.bg)
        screen.frame(x, y, self.width, self.height)
        i = 1
        for item in self.items:
            if item == '-':
                screen.puts(x, y + i, screen.LTEE + screen.HLINE * (self.width - 2) + screen.RTEE)
            else:
                screen.puts(x + 1, y + i, ' ' + item + ' ' * (self.width - 3 - len(item)))
            i += 1
        screen.popcolor()


    def on_keypress(self, keyname, char):
        self.redraw()

