# -*- coding: utf-8 -*-

from .widget import Widget


class MenuBar(Widget):
    def __init__(self, items = []):
        Widget.__init__(self, 0, 1)

        self.bg = 2
        self.highlight = 3

        self.setitems(items)
        self.selected = None

        self.connect('draw', self.on_draw)
        self.connect('keypress', self.on_keypress)
        self.connect('mousedown', self.on_mousedown)


    def setitems(self, items):
        self.items = items


    def on_draw(self, screen, x, y):
        screen.pushcolor(self.bg)
        i = 0
        for item in self.items:
            if self.selected == item:
                screen.pushcolor(self.highlight, screen.BOLD)
                screen.puts(x + i, y, '  ' + item[0] + '  ')
                screen.popcolor()
            else:
                screen.puts(x + i, y, '  ' + item[0] + '  ')
            i += len(item[0]) + 4
        if i < self.width:
            screen.puts(x + i, y, ' ' * (self.width - i))
        screen.popcolor()


    def on_keypress(self, keyname, char):
        self.redraw()


    def on_mousedown(self, ev):
        i = 0
        if self.selected:
            if isinstance(self.selected[1], Widget):
                self.selected[1].hidden = True
            self.selected = None
        for item in self.items:
            w = len(item[0]) + 4
            if ev.wx >= i and ev.wx < i + w:
                self.selected = item
                if isinstance(item[1], Widget):
                    item[1].x = i
                    item[1].y = self.y + 1
                    item[1].hidden = False
                    item[1].redraw()
            i += w

